<?
$infos=get_user_info();
$name=$infos['name'];
$nick=$infos['nick'];
$url=$infos['url'];
$num=str_to_num($nick,$app_name);

if($num>25)
{
	$num=ceil($num/4);
}

$nick_len=mb_strlen($nick,'UTF8');
switch($nick_len)
{
	case 1:$left_px=10;break;
	case 2:$left_px=10;break;
	case 3:$left_px=10;break;
	case 4:$left_px=10;break;
	case 5:$left_px=10;break;
	case 6:$left_px=10;break;
	case 7:$left_px=10;break;
	case 8:$left_px=10;break;
	case 9:$left_px=10;break;
	case 10:$left_px=10;break;
	case 11:$left_px=10;break;
	default:$left_px=10;
}

$img_path='./imgs/'.$num.'.png';
$img=getImgType($img_path);
$img=createImg($img,$nick,$left_px,120,10,0,18,'fff','yahei');

$content='2012世界未日即将到来，没有领诺亚方舟船票的速来领船票啦！#2012世界未日船票#！领取地址：'.$url;
$rt_info=post_send($content,$img);